RPMDB(8)

BEZEICHNUNG
rpmdb - RPM-Datenbankwerkzeug

ÜBERSICHT
rpmdb [Optionen] {--initdb|--rebuilddb}

rpmdb [Optionen] {--verifydb}

rpmdb [Optionen] {--exportdb|--importdb}

BESCHREIBUNG
rpmdb wird für rpm(8)-Datenbankverwaltungsoperationen verwandt.

AKTIONEN
--initdb
    erstellt eine neue Datenbank, falls noch keine existiert. Eine bestehende Datenbank wird nicht überschrieben.

--rebuilddb
    baut die Datenbank aus den Paket-Headern der installierten Pakete neu. Der Neubau verwirft alle nicht lesbaren (beschädigten) Header aus der Datenbank, verdichted aber auch die Datenbank, falls die im Lauf der Zeit sehr groß geworden ist.

    Kann auch zum Umwandeln zwischen verschiedenen rpmdb-Formaten verwandt werden.

--verifydb
    führt eine systemnahe Integritätsprüfung der Datenbank durch. Selten nützlich, zur Ermittlung der Systemgesundheit ist rpm --verify -a eine deutlich nützlichere Aktion.

--exportdb
    exportiert die Datenbank im Format »Kopfdaten-Liste«. Dies ist für die Übertragung auf einen anderen Rechner oder in eine andere Art von Datenbank nutzbar. Die Daten werden auf die Standardausgabe ausgegeben.

--importdb
    importiert eine Datenbank im Format »Kopfdaten-Liste«, wie sie mittels --exportdb erzeugt wurde. Die Daten werden von der Standardeingabe gelesen.

OPTIONEN
Siehe rpm-common(8) für die Optionen, die allen rpm(8)-Programmen gemeinsam sind.

KONFIGURATION
Es gibt verschiedene Konfigurationsoptionen, die die Aktionen von rpmdb beeinflussen, aber insbesondere die folgenden (siehe rpm-config(5) zu Details):
•   %_dbpath
•   %_db_backend

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE
rpmdb --initdb --dbpath /tmp/testdb
    Initialisiert eine neue Datenbank im Verzeichnis /tmp/testdb.

rpmdb --rebuilddb
    baut die System-Rpmdb neu.

rpmdb --verifydb --root /mnt
    überprüft die Systemdatenbank eines unter /mnt eingehängten Systemabbildes.

rpmdb --exportdb > /tmp/headers
    exportiert die Systemdatenbank in die Datei /tmp/headers.

rpmdb --importdb --define "_db_backend ndb" --dbpath /tmp/neueDB < /tmp/headers
    importiert Inhalte aus der »Kopfdaten-Liste« /tmp/headers in eine (neue) Datenbank im Format ndb in /tmp/neueDB.

OPTIONEN
Siehe rpm-common(8) für die Optionen, die allen Aktionen gemeinsam sind.

SIEHE AUCH
popt(3), rpm(8), rpm-common(8)

rpmdb --help - da rpm(8) benutzerdefinierte Optionen über Popt-Aliase unterstützt, kann unmöglich garantiert werden, dass die Beschreibungen in diesem Handbuch exakt dem entsprechen, was verfügbar ist.

http://www.rpm.org/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Christoph Brinkhaus <c.brinkhaus@t-online.de> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).